Skip to content
For LLMsView as Markdown·

Install an integration for an operator ​

http
POST https://api.onehazel.com/platform-api/operators/{operatorId}/instantiate-integration

Section: Platform partners
Operation id: postPlatformApiOperatorsByOperatorIdInstantiateIntegration

Authentication ​

Platform partner key (oh_platform_...) or a signed-in platform session token, as a bearer token.

Parameters ​

NameInRequiredDescription
operatorIdpathyes

Request body ​

JSON object.

Responses ​

200 { "success": true, "data": ... }

Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.

Example ​

bash
curl -X POST "https://api.onehazel.com/platform-api/operators/{operatorId}/instantiate-integration" \
  -H "Authorization: Bearer oh_platform_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

Machine-readable: openapi.yaml, openapi.json.